For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Account Transfer Limit

To retrieve an account's transfer limit, you can send a GET request to the following endpoint:

GET /api/Limit/v{{version}}/GetAccountLimit

The request query should contain the accountNumber to specify which account's limits to retrieve.

This API streamlines the process of checking an account's current transfer limits, offering visibility into the configured limit, its upgrade/downgrade bounds, and today's transaction usage.

This limit applies to transfers only.

Headers

Name
Value

Content-Type*

application/json

Query Params

Name
Description

accountNumber

The account number to retrieve the transfer limit for.

Body Response

Field
Data Type
Description

accountNumber

string

The account number the limit record belongs to.

maxDailyTransactionLimit

long

The maximum daily limit the account can upgrade to.

userDailyTransactionLimit

long

The maximum amount the user has configured to do daily.

minDailyTransactionLimit

long

The minimum daily limit a user can downgrade to.

maxSingleTransactionLimit

long

The maximum single limit the account can upgrade to.

userSingleTransactionLimit

long

The maximum amount the user has configured to do per single transaction.

minSingleTransactionLimit

long

The minimum single limit a user can downgrade to.

totalTransactionCountToday

integer

The number of transactions done today.

totalTransactionAmountToday

number

The total amount of transactions done today.

status

boolean

Whether the request was successful.

message

string

Response message from the operation.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
Response: 200

Last updated